import { createRouter, createWebHistory } from 'vue-router'
import HomePage from '@/views/HomePageView.vue'
import ArticleDetail from '@/views/ArticleDetailView.vue'
import LoginView from '@/views/LoginView.vue'
import RegisterView from '@/views/RegisterView.vue'
import UserCenter from '@/views/UserCenterView.vue'
import ArticleCreate from '@/views/ArticleCreate.vue'
import ArticleEdit from '@/views/ArticleEdit.vue'

const routes = [
    {
        path: '/',
        name: 'home',
        component: HomePage
    },
    {
        path: '/detail/:id',
        name: 'detail',
        component: ArticleDetail,
    },
    {
        path: '/login/',
        name: 'login',
        component: LoginView,
    },
    {
        path: '/register/',
        name: 'register',
        component: RegisterView,
    },
    {
        path: "/user/:username",
        name: "UserCenter",
        component: UserCenter,
    },
    {
        path: "/article/create/",
        name: "ArticleCreate",
        component: ArticleCreate,
    },
    {
        path: "/article/edit/:id",
        name: "ArticleEdit",
        component: ArticleEdit,
    }
]

const router = createRouter({
    history: createWebHistory(),  // 路径中不再有恶心的#号
    routes
})

export default router
